package be.destin.rdf.changes;

import java.util.Date;

import org.openrdf.model.impl.URIImpl;

/*
 * -- Table: change

-- DROP TABLE change;

CREATE TABLE change
(
  id integer NOT NULL DEFAULT nextval('seq_change'::regclass),
  rdfid integer NOT NULL,
  "user" character varying(127),
  asserted timestamp without time zone NOT NULL DEFAULT now(),
  status integer,
  "comment" character varying(255),
  canceled timestamp without time zone,
  audit_prefix integer,
  audit_about character varying(127),
  CONSTRAINT change_pkey1 PRIMARY KEY (id),
  CONSTRAINT change_audit_prefix_fkey FOREIGN KEY (audit_prefix)
      REFERENCES prefix (id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT change_rdfid_fkey FOREIGN KEY (rdfid)
      REFERENCES rdfid (id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT change_status_fkey FOREIGN KEY (status)
      REFERENCES status (id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
)
WITH (
  OIDS=FALSE
);
ALTER TABLE change OWNER TO postgres;

-- Index: fki_audit_prefix

-- DROP INDEX fki_audit_prefix;

CREATE INDEX fki_audit_prefix
  ON change
  USING btree
  (audit_prefix);

-- Index: fki_rfdid

-- DROP INDEX fki_rfdid;

CREATE INDEX fki_rfdid
  ON change
  USING btree
  (rdfid);

-- Index: fki_status

-- DROP INDEX fki_status;

CREATE INDEX fki_status
  ON change
  USING btree
  (status);

-- Index: index_user

-- DROP INDEX index_user;

CREATE INDEX index_user
  ON change
  USING btree
  ("user");


 */

public class Assertion {

	private SkosStatement statement;
	private String user;
	private Date asserted;
	private Status status;
	private String comment;
	private Date canceled;
	private URIImpl audit;

	public SkosStatement getStatement() {
		return statement;
	}
	public void setStatement(SkosStatement statement) {
		this.statement = statement;
	}
	public String getUser() {
		return user;
	}
	public void setUser(String user) {
		this.user = user;
	}
	public Date getAsserted() {
		return asserted;
	}
	public void setAsserted(Date asserted) {
		this.asserted = asserted;
	}
	public Status getStatus() {
		return status;
	}
	public void setStatus(Status status) {
		this.status = status;
	}
	public String getComment() {
		return comment;
	}
	public void setComment(String comment) {
		this.comment = comment;
	}
	public Date getCanceled() {
		return canceled;
	}
	public void setCanceled(Date canceled) {
		this.canceled = canceled;
	}
	public URIImpl getAudit() {
		return audit;
	}
	public void setAudit(URIImpl audit) {
		this.audit = audit;
	}
}
