/**
 * The contents of this file are subject to the license and copyright detailed in the LICENSE and NOTICE files at the root of the source tree and available online at
 * http://www.askosi.org/license.html
 */
package be.destin.skos.search;

import org.apache.log4j.Logger;

public class CountingThread extends Thread {

    /** log4j logger */
    private static Logger log = Logger.getLogger(CountingThread.class);


	IndexationCounter indexationCounter;

	public CountingThread(IndexationCounter IC) {
		super("Counting for application "+IC.getApplication());
		indexationCounter = IC;
	}
	
	public void run () {
		log.info("Counting thread started for "+indexationCounter.getApplication());
		indexationCounter.insureCounts();
		log.info("Counting done for "+indexationCounter.getApplication());
	}

}
